# List refund applications Lists Refund Application objects. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/refund-applications Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - accountid - applicationgroupid - creditmemoid - effectivedate - paymentid - refundid - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "refund", "payment", "refundapplicationitems" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - accountid - applicationgroupid - creditmemoid - effectivedate - paymentid - refundid - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the refund application. - `data.createdById` (string) The unique identifier of the user who created the refund application. - `data.createdDate` (string) The date and time when the refund application was created. - `data.updatedById` (string) The unique identifier of the user who last updated the refund application. - `data.updatedDate` (string) The date and time when the refund application was last updated. - `data.accountId` (string) The ID of the account associated with this refund application. - `data.applicationGroupId` (string) The ID of the application group to which this payment application belongs. - `data.applyAmount` (number) The total amount of the refund to be applied. - `data.creditMemoId` (string) The unique identifier of the credit memo to which the associated payment was applied. - `data.effectiveDate` (string) The date when the refund application becomes effective. - `data.invoiceId` (string) The unique identifier of the invoice to which the associated payment was applied. - `data.paymentId` (string) The unique identifier of the payment associated with the refund application. - `data.refundId` (string) The unique identifier of the refund associated with the refund application. - `data.accountReceivableAccountingCodeId` (string) The accountReceivableAccountingCode of a standalone charge. - `data.onAccountAccountingCodeId` (string) The accounting code that maps to an on account in your accounting system. - `data.unappliedPaymentAccountingCodeId` (string) The accounting code for the unapplied payment. - `data.cashAccountingCodeId` (string) The accounting code for cash payments. - `data.journalEntryId` (string) The ID of the journal entry that corresponds to this transaction. - `data.refund` (object) - `data.refund.id` (string) The unique identifier of the refund. - `data.refund.createdById` (string) The unique identifier of the user who created the refund. - `data.refund.createdDate` (string) The date and time when the refund was created. - `data.refund.updatedById` (string) The unique identifier of the user who last updated the refund. - `data.refund.updatedDate` (string) The date and time when the refund was last updated. - `data.refund.accountId` (string) The ID of the account associated with this refund. Zuora associates the refund automatically with the account from the associated payment or credit memo. - `data.refund.amount` (number) The total amount of the refund. - `data.refund.cancelledOn` (string) The date and time when the refund was cancelled, in yyyy-mm-dd hh:mm:ss format. - `data.refund.comment` (string,null) Comments about the refund. - `data.refund.paymentMethodSnapshotId` (string) The unique ID of the payment method snapshot which is a copy of the particular payment method used in a transaction. - `data.refund.accountingCode` (string) The accounting code that maps to this refund transaction in your accounting system. - `data.refund.currency` (string) The currency of the refund. - `data.refund.gatewayReconciliationReason` (string) The reason of gateway reconciliation. - `data.refund.gatewayReconciliationStatus` (string) The status of gateway reconciliation. - `data.refund.gatewayResponse` (string) The message returned from the payment gateway for the refund. This message is gateway-dependent. - `data.refund.gatewayResponseCode` (string) The code returned from the payment gateway for the refund. This code is gateway-dependent. - `data.refund.gatewayState` (string) The status of the refund in the gateway. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `data.refund.markedForSubmissionOn` (string) The date and time when a refund was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `data.refund.methodType` (string) How an external refund was issued to a customer. Enum: "ACH", "Cash", "Check", "CreditCard", "PayPal", "WireTransfer", "DebitCard", "CreditCardReferenceTransaction", "BankTransfer", "Other" - `data.refund.paymentMethodId` (string) The unique ID of the payment method that the customer used to make the refund. - `data.refund.payoutId` (string) The payout ID of the refund from the gateway side. - `data.refund.reasonCode` (string) A code identifying the reason for the transaction. - `data.refund.refundNumber` (string) The number of the refund. - `data.refund.referenceID` (string) The transaction ID returned by the payment gateway for an electronic refund. Use this field to reconcile refunds between your gateway and Zuora Payments. - `data.refund.refundDate` (string) The date when the refund takes effect, in yyyy-mm-dd format. For example, 2017-03-01. - `data.refund.refundTransactionTime` (string) The date and time when the refund was issued, in yyyy-mm-dd hh:mm:ss format. - `data.refund.sourceType` (string) Specifies whether the refund is a refund payment or a credit balance. Enum: "Payment", "CreditBalance", "CreditMemo" - `data.refund.secondRefundReferenceId` (string) The transaction ID returned by the payment gateway if there is an additional transaction for the refund. Use this field to reconcile payments between your gateway and Zuora Payments. - `data.refund.settledOn` (string) The date and time when the refund was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `data.refund.softDescriptor` (string) A payment gateway-specific field that maps Zuora to other gateways. - `data.refund.softDescriptorPhone` (string) A payment gateway-specific field that maps Zuora to other gateways. - `data.refund.status` (string) The status of the refund. Enum: "Processed", "Canceled", "Error", "Processing" - `data.refund.submittedOn` (string) The date and time when the refund was submitted, in yyyy-mm-dd hh:mm:ss format. - `data.refund.transferredToAccounting` (string) Whether the refund was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `data.refund.type` (string) The type of the refund. Enum: "External", "Electronic" - `data.refund.associatedTransactionNumber` (string) The number of the associated transactions, such as payments. - `data.refund.gateway` (string) The gateway that processed the original payment. A gateway is an online service provider that connects an online shopping cart to a payment processor. Zuora uses this same gateway for the corresponding refund. If this payment gateway is no longer active, then the electronic refund fails. - `data.refund.account` (object) The account associated with the refund. - `data.refund.paymentMethod` (object) The payment method to which the refund is returned. - `data.refund.refundApplications` (array) The refund applications associated with the refund. - `data.payment` (object) - `data.payment.id` (string) The unique identifier of the payment. - `data.payment.createdById` (string) The unique identifier of the user who created the payment. - `data.payment.createdDate` (string) The time that the payment gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.payment.updatedById` (string) The unique identifier of the user who last updated the payment. - `data.payment.updatedDate` (string) The time that the payment gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.payment.accountId` (string) The ID of the customer account that the payment is for. - `data.payment.accountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. - `data.payment.amount` (number) The total amount of the payment. - `data.payment.appliedAmount` (number) The applied amount of the payment. - `data.payment.authTransactionId` (string) The authorization transaction ID from the payment gateway. - `data.payment.appliedCreditBalanceAmount` (number) The amount of the payment to apply to a credit balance. - `data.payment.bankIdentificationNumber` (string) The first six or eight digits of the credit card or debit card used for the payment, when applicable. Use this field to reconcile payments between the gateway and merchant banks. - `data.payment.cancelledOn` (string) The date when the payment was canceled. - `data.payment.comment` (string,null) Comments about the payment. - `data.payment.currency` (string) When Standalone Payment is not enabled, the currency of the payment must be the same as the payment currency defined in the customer account settings through Zuora UI. When Standalone Payment is enabled and standalone is true, the currency of the standalone payment can be different from the payment currency defined in the customer account settings. The amount will not be summed up to the account balance or key metrics regardless of currency. Example: "USD" - `data.payment.effectiveDate` (string) The date and time when the payment takes effect, in yyyy-mm-dd hh:mm:ss format. - `data.payment.gatewayOrderId` (string) A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created. - `data.payment.gatewayResponse` (string) The message returned from the payment gateway for the payment. This message is gateway-dependent. - `data.payment.gatewayResponseCode` (string) The code returned from the payment gateway for the payment. This code is gateway-dependent. - `data.payment.gatewayState` (string) The status of the payment in the gateway; use for reconciliation. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `data.payment.gatewayTransactionState` (string) - `data.payment.isStandalone` (boolean) Indicates whether the payment is a standalone payment. A standalone payment is a payment that is not associated with any invoice or subscription. - `data.payment.markedForSubmissionOn` (string) The date and time when a charge was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `data.payment.paymentMethodId` (string) The unique ID of the payment method that the customer used to make the payment. - `data.payment.paymentMethodSnapshotId` (string) The unique ID of the payment method snapshot which is a copy of the particular Payment Method used in a transaction. - `data.payment.paymentOptionId` (string) ID of the paymentOption object, which describe the transactional level rules for processing payments. - `data.payment.paymentNumber` (string) The unique identification number of a payment. Example: "P-00000028." - `data.payment.payoutId` (string) The payout ID of the payment from the gateway side. - `data.payment.prepayment` (boolean) Indicates whether the payment is used as a reserved payment. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `data.payment.referencedPaymentID` (string) The ID of a referenced payment. - `data.payment.referenceId` (string) The transaction ID returned by the payment gateway. Use this field to reconcile payments between your gateway and Zuora Payments. - `data.payment.refundAmount` (number) The amount of the payment that is refunded. - `data.payment.secondPaymentReferenceId` (string) The transaction ID returned by the payment gateway if there is an additional transaction for the payment. Use this field to reconcile payments between your gateway and Zuora Payments. - `data.payment.settledOn` (string) The date and time when the payment was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `data.payment.softDescriptor` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `data.payment.softDescriptorPhone` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `data.payment.source` (string) Indicates how the payment was created, whether through API, manually, import, or payment run. Enum: "PaymentRun", "Import", "Manually", "API" - `data.payment.sourceName` (string) Name of the source. It can be a payment run number or a file name. - `data.payment.status` (string) The status of the payment. Enum: "Draft", "Processing", "Processed", "Error", "Canceled", "Posted" - `data.payment.submittedOn` (string) The date and time when the payment was submitted, in yyyy-mm-dd hh:mm:ss format. - `data.payment.type` (string) The type of the payment. Enum: "External", "Electronic" - `data.payment.transferredToAccounting` (string) Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `data.payment.transactionSource` (string) Payment transaction source used to differentiate the transaction source in Stored Credential Transaction framework. - C_Unscheduled: Cardholder-initiated transaction (CIT) that does not occur on scheduled or regularly occurring dates. - M_Recurring: Merchant-initiated transaction (MIT) that occurs at regular intervals. - M_Unscheduled: Merchant-initiated transaction (MIT) that does not occur on scheduled or regularly occurring dates. - M_MOTO: Mail Order Telephone Order (MOTO) payment transaction. This option is only available for credit card payments on Stripe v2. See [Overview of Stripe payment gateway integration](https://knowledgecenter.zuora.com/Zuora_Collect/Payment_gateway_integrations/Supported_payment_gateways/Stripe_Payment_Gateway/A_Overview_of_Stripe_payment_gateway_integration) for more information. Enum: "C_Unscheduled", "M_Recurring", "M_Unscheduled", "M_MOTO" - `data.payment.unappliedAmount` (number) The unapplied amount of the payment. - `data.payment.lastEmailDateTime` (string) The date and time when the last email was sent to the customer for the payment. - `data.payment.gateway` (string) Name of the gateway instance that processes the payment. - `data.payment.account` (object) The account associated with the payment. - `data.payment.paymentMethod` (object) The payment method used for this payment. - `data.payment.paymentApplications` (array) The payment applications associated with the payment. - `data.refundApplicationItems` (array) - `data.refundApplicationItems.id` (string) The unique identifier of the refund application item. - `data.refundApplicationItems.createdById` (string) The unique identifier of the user who created the refund application item. - `data.refundApplicationItems.createdDate` (string) The date and time when the refund application item was created. - `data.refundApplicationItems.updatedById` (string) The unique identifier of the user who last updated the refund application item. - `data.refundApplicationItems.updatedDate` (string) The date and time when the refund application item was last updated. - `data.refundApplicationItems.amount` (number) The amount of the refund application item. - `data.refundApplicationItems.effectiveDate` (string) The date when the refund application item becomes effective. - `data.refundApplicationItems.applicationGroupId` (string) The ID of the application group to which this refund application belongs. - `data.refundApplicationItems.refundApplicationId` (string) The ID of the refund application to which this refund application item belongs. - `data.refundApplicationItems.accountReceivableAccountingCodeId` (string) The Account Receivable accounting code of a standalone charge. - `data.refundApplicationItems.onAccountAccountingCodeId` (string) The accounting code that maps to an on account in your accounting system. - `data.refundApplicationItems.creditTaxationItemId` (string) The unique identifier of the credit taxation item to which the refund application item is applied. - `data.refundApplicationItems.creditMemoItemId` (string) The unique identifier of the credit memo item to which the refund application item is applied. - `data.refundApplicationItems.refundApplication` (object) The refund application object that contains the refund application item. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.